Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.utils
Class XmlUtils

    java.lang.Object
      com.tonbeller.wcf.utils.XmlUtils

public class XmlUtils
extends java.lang.Object

Author:
  av XML Utilities

Method Summary
`static org.w3c.dom.Document` | `createDocument()`
`static java.lang.String` | `escapeXml(java.lang.String s)` escapes xml characters <, > &, "
`static org.w3c.dom.Document` | `getDocument(org.w3c.dom.Node node)` returns the Document. node itself may be a Document node in which case node.getOwnerDocument() will return null
`static javax.xml.parsers.DocumentBuilder` | `getParser()`
`static javax.xml.transform.Transformer` | `getTransformer(javax.servlet.http.HttpSession session, java.lang.String xslUri, boolean xslCache)` creates a transformer for a xsl stylesheet
`javax.xml.transform.Transformer` | `getTransformer(javax.servlet.ServletContext ctx, java.lang.String xslUri, boolean xslCache)` creates a transformer for a xsl stylesheet
`static XmlUtils` | `instance(javax.servlet.http.HttpSession session)`
`static org.w3c.dom.Document` | `parse(java.net.URL url)`
`static void` | `print(org.w3c.dom.Node node, java.io.Writer out)`
`static void` | `print(org.w3c.dom.Node node, java.io.Writer out, java.util.Properties p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTransformer

    public javax.xml.transform.Transformer getTransformer(javax.servlet.ServletContext ctx,
                                                          java.lang.String xslUri,
                                                          boolean xslCache)

  creates a transformer for a xsl stylesheet

### getTransformer

    public static javax.xml.transform.Transformer getTransformer(javax.servlet.http.HttpSession session,
                                                                 java.lang.String xslUri,
                                                                 boolean xslCache)

  creates a transformer for a xsl stylesheet

### getParser

    public static javax.xml.parsers.DocumentBuilder getParser()

### createDocument

    public static org.w3c.dom.Document createDocument()

### print

    public static void print(org.w3c.dom.Node node,
                             java.io.Writer out,
                             java.util.Properties p)

### print

    public static void print(org.w3c.dom.Node node,
                             java.io.Writer out)

### instance

    public static XmlUtils instance(javax.servlet.http.HttpSession session)

### getDocument

    public static org.w3c.dom.Document getDocument(org.w3c.dom.Node node)

  returns the Document. node itself may be a Document node in which case node.getOwnerDocument() will return null

### parse

    public static org.w3c.dom.Document parse(java.net.URL url)

### escapeXml

    public static java.lang.String escapeXml(java.lang.String s)

  escapes xml characters <, > &, "

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD